質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Mecab

Mecabは、オープンソースの形態素解析エンジンです。 言語、辞書、コーパスに依存しない汎用的な設計を基本方針としています。 Mecabの由来は、開発者の好物である和布蕪(めかぶ)から名づけられました。

解決済

MeCab.Tagger()でのRuntimeError

RyotaTakeuchi
RyotaTakeuchi

総合スコア1

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Mecab

Mecabは、オープンソースの形態素解析エンジンです。 言語、辞書、コーパスに依存しない汎用的な設計を基本方針としています。 Mecabの由来は、開発者の好物である和布蕪(めかぶ)から名づけられました。

1回答

0評価

0クリップ

168閲覧

投稿2022/06/26 11:11

プログラミング初心者です。

import MeCab tagger = MeCab.Tagger() text = 'すもももももももものうち' words = tagger.parse(text) words

上記のコードを実行したところ、
下記のエラーが出てしまいます。

--------------------------------------------------------------------------- RuntimeError Traceback (most recent call last) ~/opt/anaconda3/lib/python3.9/site-packages/MeCab/__init__.py in __init__(self, rawargs) 132 try: --> 133 super(Tagger, self).__init__(args) 134 except RuntimeError as ee: RuntimeError: The above exception was the direct cause of the following exception: RuntimeError Traceback (most recent call last) /var/folders/fq/vtgtltzn4m7f0w2dl83lztp00000gn/T/ipykernel_12011/3957946321.py in <module> 1 import MeCab ----> 2 tagger = MeCab.Tagger() 3 text = 'すもももももももものうち' 4 words = tagger.parse(text) 5 words ~/opt/anaconda3/lib/python3.9/site-packages/MeCab/__init__.py in __init__(self, rawargs) 133 super(Tagger, self).__init__(args) 134 except RuntimeError as ee: --> 135 raise RuntimeError(error_info(rawargs)) from ee 136 137 RuntimeError: ---------------------------------------------------------- Failed initializing MeCab. Please see the README for possible solutions: https://github.com/SamuraiT/mecab-python3#common-issues If you are still having trouble, please file an issue here, and include the ERROR DETAILS below: https://github.com/SamuraiT/mecab-python3/issues issueを英語で書く必要はありません。 ------------------- ERROR DETAILS ------------------------ arguments: [ifs] no such file or directory: /Users/coolthick/opt/anaconda3/lib/python3.9/site-packages/unidic/dicdir/mecabrc ----------------------------------------------------------

自分でもパスを指定したり、辞書をインストールしたりと色々試したのですがダメでした。
些細なことでもいいので、ご指摘いただけると幸いです。
よろしくお願い致します。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

quickquip

2022/06/26 11:36

> 辞書をインストールしたりと色々試したのですが 一番欲しい情報が省略されています。 unidicをインストールしただけでダウンロードをしてないと出るエラーかも、という感じはしますが(調べてはないです)

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Mecab

Mecabは、オープンソースの形態素解析エンジンです。 言語、辞書、コーパスに依存しない汎用的な設計を基本方針としています。 Mecabの由来は、開発者の好物である和布蕪(めかぶ)から名づけられました。